(* Embedding of multivariate polynomials *)
type var = string

type t = Const of Q.t
       | Var of var
       | Plus of t * t
       | Times of t * t

val zero : t

module Syntax : sig
  val (!) : float -> t

  val v : var -> t

  val (-) : t -> t

  val (+) : t -> t -> t

  val ( * ) : t -> t -> t
end

val subst : var -> t -> t -> t

val occurs_in : var -> t -> bool
