(* Polynomials in one indeterminate, where the coefficients are multivariate polynomials *)

type t

val add : t -> t -> t

val multiply : t -> t -> t

(* Integrate with respect to the indeterminate, where the first arg is the
   constant of integration. *)
val integrate : Multi.t -> t -> t

(* Convert to a univariate polynomial by substituting other variables in the provided alist *)
val of_term : (Multi.var, t) Core.List.Assoc.t -> Multi.t -> t

(* Convert to a multivariate polynomial in the variable provided *)
val to_term : Multi.var -> t -> Multi.t
